# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/Entities.pm) perl(HTML/FormatText.pm) perl(HTML/TreeBuilder.pm) perl(Palm/PDB.pm) perl(Palm/Raw.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.19
%define module_name Palm-Doc
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.19
Release: alt1
Summary: Handler for Palm Doc books
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CP/CPB/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Helper for reading and writing Palm Doc books. The interface is based on
the Palm::ZText manpage since it just makes sense. However, because of the nature
of these databases, record-level processing is just a Bad Idea. Use
the `text' and `textfile' calls rather than do direct access of the
`@records' array.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README ChangeLog
%perl_vendor_privlib/P*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 1.19-alt1
- initial import by package builder

